<html>
<head>
<style><!--
.hmmessage P
{
margin:0px;
padding:0px
}
body.hmmessage
{
font-size: 10pt;
font-family:Tahoma
}
--></style></head>
<body class='hmmessage'><div dir='ltr'>
Hi,&nbsp;<div><br></div><div>I am trying to install ipython 0.10.0 &nbsp;on Linux&nbsp;Red Hat 4.4.4-17.</div><div><br></div><div>I use instructions on:</div><div><br></div><div><pre style="font-family: Consolas, 'Deja Vu Sans Mono', 'Bitstream Vera Sans Mono', monospace; font-size: 0.95em; padding: 0.5em; border: 1px solid rgb(204, 204, 204); background-color: rgb(248, 248, 248); line-height: 15px; "><span class="nv" style="color: rgb(187, 96, 213); ">$ </span>tar -xzf ipython.tar.gz
<span class="nv" style="color: rgb(187, 96, 213); ">$ </span><span class="nb" style="color: rgb(0, 112, 32); ">cd </span>ipython
<span class="nv" style="color: rgb(187, 96, 213); ">$ </span>python setup.py install</pre></div><div><a href="http://ipython.org/ipython-doc/stable/install/install.html">http://ipython.org/ipython-doc/stable/install/install.html</a></div><div><br></div><div>but, I got:</div><div><br></div><div><div>import pkg_resources</div><div>&nbsp; &nbsp; &nbsp; &nbsp; Zope.Interface: yes</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;Twisted: Not found (required for parallel computing</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; capabilities)</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Foolscap: Not found (required for parallel computing</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; capabilities)</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;OpenSSL: 0.10</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; sphinx: Not found (required for building documentation)</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; pygments: Not found (required for syntax highlighting</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; documentation)</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; nose: Not found (required for running the test suite)</div><div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;pexpect: no (required for running standalone doctests)</div><div>running install</div><div>running build</div><div>running build_py</div><div>running build_scripts</div><div>running install_lib</div><div>running install_scripts</div><div>changing mode of /home/user/usr/bin/ipengine to 755</div><div>changing mode of /home/user/usr/bin/ipcontroller to 755</div><div>changing mode of /home/user/usr/bin/ipcluster to 755</div><div>changing mode of /home/user/usr/bin/ipython to 755</div><div>changing mode of /home/user/usr/bin/ipythonx to 755</div><div>changing mode of /home/user/usr/bin/ipython-wx to 755</div><div>changing mode of /home/user/usr/bin/pycolor to 755</div><div>changing mode of /home/user/usr/bin/irunner to 755</div><div>changing mode of /home/user/usr/bin/iptest to 755</div><div>running install_data</div><div>running install_egg_info</div><div>Removing /home/user/usr/lib/python2.6/site-packages/ipython-0.10.1-py2.6.egg-info</div><div>Writing /home/user/usr/lib/python2.6/site-packages/ipython-0.10.1-py2.6.egg-info</div></div><div><br></div><div>I have used easy_install &nbsp;to install nose, sphinx, pexpect, pygments.&nbsp;</div><div><br></div><div>Why do I still have this error ?&nbsp;</div><div><br></div><div>Thanks</div><div><br></div><div><br></div><div>&nbsp;</div>                                               </div></body>
</html>